GStreamer::Registry(3)

NAME
GStreamer::Registry

HIERARCHY
  Glib::Object
  +----GStreamer::Object
       +----GStreamer::Registry

METHODS

  boolean = $registry->add_feature ($feature)

•   $feature (GStreamer::PluginFeature)

  boolean = $registry->add_plugin ($plugin)

•   $plugin (GStreamer::Plugin)

  registry = GStreamer::Registry->get_default

  list = $registry->feature_filter ($filter, $first, $data=undef)

•   $filter (scalar)

•   $first (boolean)

•   $data (scalar)

  list = $registry->get_feature_list_by_plugin ($name)

•   $name (string)

  list = $registry->get_feature_list ($type)

•   $type (string)

  pluginfeature = $registry->find_feature ($name, $type)

•   $name (string)

•   $type (string)

  plugin = $registry->find_plugin ($name)

•   $name (string)

  plugin = $registry->lookup ($filename)

•   $filename (string)

  pluginfeature = $registry->lookup_feature ($name)

•   $name (string)

  list = $registry->get_path_list

  list = $registry->plugin_filter ($filter, $first, $data=undef)

•   $filter (scalar)

•   $first (boolean)

•   $data (scalar)

  list = $registry->get_plugin_list

  $registry->remove_feature ($feature)

•   $feature (GStreamer::PluginFeature)

  $registry->remove_plugin ($plugin)

•   $plugin (GStreamer::Plugin)

  $registry->scan_path ($path)

•   $path (string)

  boolean = $registry->xml_read_cache ($location)

•   $location (string)

  boolean = $registry->xml_write_cache ($location)

•   $location (string)

SIGNALS

feature-added (GStreamer::Registry, gpointer)
plugin-added (GStreamer::Registry, gpointer)

SEE ALSO
GStreamer, Glib::Object, GStreamer::Object

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.